Bug 215110 - wordpress ports: Update to 4.7
Summary: wordpress ports: Update to 4.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Dmitry Marakasov
URL: https://wordpress.org/news/2016/12/va...
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-07 08:28 UTC by Jochen Neumeister
Modified: 2016-12-15 09:43 UTC (History)
1 user (show)

See Also:


Attachments
patch (975 bytes, patch)
2016-12-07 08:28 UTC, Jochen Neumeister
joneum: maintainer-approval+
Details | Diff
patch (4.01 KB, patch)
2016-12-07 12:54 UTC, Jochen Neumeister
joneum: maintainer-approval+
Details | Diff
patch (4.92 KB, patch)
2016-12-07 12:56 UTC, Jochen Neumeister
joneum: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jochen Neumeister freebsd_committer 2016-12-07 08:28:27 UTC
Created attachment 177743 [details]
patch

wordpress 4.7 is out: https://wordpress.org/news/2016/12/vaughan/

wordpress use ssl: https://wordpress.org/news/2016/12/moving-toward-ssl/

poudriere build fine in 9.3 / 10.3 / 11.0 / 12-current (all with amd64 and i386)

portline is fine, install and updating are fine, too.


Cheers
Jochen
Comment 1 Dmitry Marakasov freebsd_committer 2016-12-07 12:18:35 UTC
Are you sure USES=ssl applies here? It means dependency on openssl library, while this is plain php port which doesn't use any shared libs. openssl dependency is probably handled in php or some of its modules.
Comment 2 Jochen Neumeister freebsd_committer 2016-12-07 12:36:18 UTC
(In reply to Dmitry Marakasov from comment #1)

I was not sure about USES = ssl. I've inserted it because of https://wordpress.org/news/2016/12/moving-toward-ssl/
Is it better to not put it?
Comment 3 Jochen Neumeister freebsd_committer 2016-12-07 12:54:35 UTC
Created attachment 177752 [details]
patch

This patch update the following wordpress ports to 4.7:

www/wordpress
german/wordpress
russian/wordpress
chinese/wordpress-zh_TW
japanese/wordpress
Comment 4 Jochen Neumeister freebsd_committer 2016-12-07 12:56:46 UTC
Created attachment 177753 [details]
patch

forget to make makesum for the japanese Port ...
Comment 5 Jochen Neumeister freebsd_committer 2016-12-11 07:16:13 UTC
ping amdmi3@FreeBSD.org
Comment 6 Dmitry Marakasov freebsd_committer 2016-12-13 16:30:09 UTC
russian/wordpress:

=> wordpress-4.7-ru_RU.tar.gz doesn't seem to exist in /portdistfiles/.
=> Attempting to fetch http://ru.wordpress.org/wordpress-4.7-ru_RU.tar.gz
fetch: http://ru.wordpress.org/wordpress-4.7-ru_RU.tar.gz: size mismatch: expected 8492032, actual 8509085
=> Attempting to fetch http://distcache.FreeBSD.org/ports-distfiles/wordpress-4.7-ru_RU.tar.gz
fetch: http://distcache.FreeBSD.org/ports-distfiles/wordpress-4.7-ru_RU.tar.gz: Not Found
=> Couldn't fetch it - please try to retrieve this
=> port manually into /portdistfiles/ and try again.

others committed.
Comment 7 commit-hook freebsd_committer 2016-12-13 16:30:51 UTC
A commit references this bug:

Author: amdmi3
Date: Tue Dec 13 16:30:01 UTC 2016
New revision: 428508
URL: https://svnweb.freebsd.org/changeset/ports/428508

Log:
  - Update to 4.7

  PR:		215110
  Submitted by:	joneum@bsdproject.de (maintainer)

Changes:
  head/chinese/wordpress-zh_TW/Makefile
  head/chinese/wordpress-zh_TW/distinfo
  head/german/wordpress/Makefile
  head/german/wordpress/distinfo
  head/japanese/wordpress/Makefile
  head/japanese/wordpress/distinfo
  head/www/wordpress/Makefile
  head/www/wordpress/distinfo
Comment 8 Dmitry Marakasov freebsd_committer 2016-12-15 09:43:22 UTC
Closing, russian/wordpress to be handled by 215312